package com.fs.baidu.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.baidu.domain.BdCreative;

/**
 * 百度创意Mapper接口
 * 
 * @author fs
 * @date 2025-01-20
 */
public interface BdCreativeMapper extends BaseMapper<BdCreative>{
    /**
     * 查询百度创意
     * 
     * @param creativeFeedId 百度创意主键
     * @return 百度创意
     */
    BdCreative selectBdCreativeByCreativeFeedId(Long creativeFeedId);

    /**
     * 查询百度创意列表
     * 
     * @param bdCreative 百度创意
     * @return 百度创意集合
     */
    List<BdCreative> selectBdCreativeList(BdCreative bdCreative);

    /**
     * 新增百度创意
     * 
     * @param bdCreative 百度创意
     * @return 结果
     */
    int insertBdCreative(BdCreative bdCreative);

    /**
     * 修改百度创意
     * 
     * @param bdCreative 百度创意
     * @return 结果
     */
    int updateBdCreative(BdCreative bdCreative);

    /**
     * 删除百度创意
     * 
     * @param creativeFeedId 百度创意主键
     * @return 结果
     */
    int deleteBdCreativeByCreativeFeedId(Long creativeFeedId);

    /**
     * 批量删除百度创意
     * 
     * @param creativeFeedIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBdCreativeByCreativeFeedIds(Long[] creativeFeedIds);
}
